Get search hits that match the query defined in the request.
You can provide search queries using the q query string parameter or the request body.
If both are specified, only the query parameter is used.
If the Elasticsearch security features are enabled, you must have the read index privilege for the target data stream, index, or alias. For cross-cluster search, refer to the documentation about configuring CCS privileges.
To search a point in time (PIT) for an alias, you must have the read index privilege for the alias's data streams or indices.
Search slicing
When paging through a large number of documents, it can be helpful to split the search into multiple slices to consume them independently with the slice and pit properties.
By default the splitting is done first on the shards, then locally on each shard.
The local splitting partitions the shard into contiguous ranges based on Lucene document IDs.
For instance if the number of shards is equal to 2 and you request 4 slices, the slices 0 and 2 are assigned to the first shard and the slices 1 and 3 are assigned to the second shard.
IMPORTANT: The same point-in-time ID should be used for all slices. If different PIT IDs are used, slices can overlap and miss documents. This situation can occur because the splitting criterion is based on Lucene document IDs, which are not stable across changes to the index.
Required authorization
- Index privileges:
read
Query parameters
-
If
false, the request returns an error if any wildcard expression, index alias, or_allvalue targets only missing or closed indices. This behavior applies even if the request targets other open indices. For example, a request targetingfoo*,bar*returns an error if an index starts withfoobut no index starts withbar. -
If
trueand there are shard request timeouts or shard failures, the request returns partial results. Iffalse, it returns an error with no partial results.To override the default behavior, you can set the
search.default_allow_partial_resultscluster setting tofalse. -
The analyzer to use for the query string. This parameter can be used only when the
qquery string parameter is specified. -
If
true, wildcard and prefix queries are analyzed. This parameter can be used only when theqquery string parameter is specified. -
The number of shard results that should be reduced at once on the coordinating node. If the potential number of shards in the request can be large, this value should be used as a protection mechanism to reduce the memory overhead per search request.
-
If
true, network round-trips between the coordinating node and the remote clusters are minimized when running cross-cluster search (CCS) requests. -
The default operator for the query string query:
andoror. This parameter can be used only when theqquery string parameter is specified.Values are
and,AND,or, orOR. -
The field to use as a default when no field prefix is given in the query string. This parameter can be used only when the
qquery string parameter is specified. -
A comma-separated list of fields to return as the docvalue representation of a field for each hit.
-
The type of index that wildcard patterns can match. If the request can target data streams, this argument determines whether wildcard expressions match hidden data streams. It supports comma-separated values such as
open,hidden.Values are
all,open,closed,hidden, ornone. -
If
true, the request returns detailed information about score computation as part of a hit. -
If
true, concrete, expanded or aliased indices will be ignored when frozen. -
If
false, the request returns an error if it targets a missing or closed index. -
If
true, the response includes the score contribution from any named queries.This functionality reruns each named query on every hit in a search response. Typically, this adds a small overhead to a request. However, using computationally expensive named queries on a large number of hits may add significant overhead.
-
If
true, format-based query failures (such as providing text to a numeric field) in the query string will be ignored. This parameter can be used only when theqquery string parameter is specified. -
The number of concurrent shard requests per node that the search runs concurrently. This value should be used to limit the impact of the search on the cluster in order to limit the number of concurrent shard requests.
-
The nodes and shards used for the search. By default, Elasticsearch selects from eligible nodes and shards using adaptive replica selection, accounting for allocation awareness. Valid values are:
_only_localto run the search only on shards on the local node._localto, if possible, run the search on shards on the local node, or if not, select shards using the default method._only_nodes:<node-id>,<node-id>to run the search on only the specified nodes IDs. If suitable shards exist on more than one selected node, use shards on those nodes using the default method. If none of the specified nodes are available, select shards from any available node using the default method._prefer_nodes:<node-id>,<node-id>to if possible, run the search on the specified nodes IDs. If not, select shards using the default method._shards:<shard>,<shard>to run the search only on the specified shards. You can combine this value with otherpreferencevalues. However, the_shardsvalue must come first. For example:_shards:2,3|_local.<custom-string>(any string that does not start with_) to route searches with the same<custom-string>to the same shards in the same order.
-
A threshold that enforces a pre-filter roundtrip to prefilter search shards based on query rewriting if the number of shards the search request expands to exceeds the threshold. This filter roundtrip can limit the number of shards significantly if for instance a shard can not match any documents based on its rewrite method (if date filters are mandatory to match but the shard bounds and the query are disjoint). When unspecified, the pre-filter phase is executed if any of these conditions is met:
- The request targets more than 128 shards.
- The request targets one or more read-only index.
- The primary sort of the query targets an indexed field.
-
If
true, the caching of search results is enabled for requests wheresizeis0. It defaults to index level settings. -
A custom value that is used to route operations to a specific shard.
-
The period to retain the search context for scrolling. By default, this value cannot exceed
1d(24 hours). You can change this limit by using thesearch.max_keep_alivecluster-level setting.Values are
-1or0.External documentation -
Indicates how distributed term frequencies are calculated for relevance scoring.
Values are
query_then_fetchordfs_query_then_fetch. -
Specific
tagof the request for logging and statistical purposes. -
A comma-separated list of stored fields to return as part of a hit. If no fields are specified, no stored fields are included in the response. If this field is specified, the
_sourceparameter defaults tofalse. You can pass_source: trueto return both source fields and stored fields in the search response. -
The field to use for suggestions.
-
The suggest mode. This parameter can be used only when the
suggest_fieldandsuggest_textquery string parameters are specified.Values are
missing,popular, oralways. -
The number of suggestions to return. This parameter can be used only when the
suggest_fieldandsuggest_textquery string parameters are specified. -
The source text for which the suggestions should be returned. This parameter can be used only when the
suggest_fieldandsuggest_textquery string parameters are specified. -
The maximum number of documents to collect for each shard. If a query reaches this limit, Elasticsearch terminates the query early. Elasticsearch collects documents before sorting.
IMPORTANT: Use with caution. Elasticsearch applies this parameter to each shard handling the request. When possible, let Elasticsearch perform early termination automatically. Avoid specifying this parameter for requests that target data streams with backing indices across multiple data tiers. If set to
0(default), the query does not terminate early. -
The period of time to wait for a response from each shard. If no response is received before the timeout expires, the request fails and returns an error. It defaults to no timeout.
Values are
-1or0.External documentation -
The number of hits matching the query to count accurately. If
true, the exact number of hits is returned at the cost of some performance. Iffalse, the response does not include the total number of hits matching the query. -
If
true, the request calculates and returns document scores, even if the scores are not used for sorting. -
If
true, aggregation and suggester names are be prefixed by their respective types in the response. -
Indicates whether
hits.totalshould be rendered as an integer or an object in the rest search response. -
If
true, the request returns the document version as part of a hit. -
The source fields that are returned for matching documents. These fields are returned in the
hits._sourceproperty of the search response. Valid values are:trueto return the entire document source.falseto not return the document source.<string>to return the source fields that are specified as a comma-separated list that supports wildcard (*) patterns.
-
A comma-separated list of source fields to exclude from the response. You can also use this parameter to exclude fields from the subset specified in
_source_includesquery parameter. If the_sourceparameter isfalse, this parameter is ignored. -
Whether vectors should be excluded from _source
-
A comma-separated list of source fields to include in the response. If this parameter is specified, only these source fields are returned. You can exclude fields from this subset using the
_source_excludesquery parameter. If the_sourceparameter isfalse, this parameter is ignored. -
If
true, the request returns the sequence number and primary term of the last modification of each hit. -
A query in the Lucene query string syntax. Query parameter searches do not support the full Elasticsearch Query DSL but are handy for testing.
IMPORTANT: This parameter overrides the query parameter in the request body. If both parameters are specified, documents matching the query request body parameter are not returned.
-
The number of hits to return. By default, you cannot page through more than 10,000 hits using the
fromandsizeparameters. To page through more hits, use thesearch_afterparameter. -
The starting document offset, which must be non-negative. By default, you cannot page through more than 10,000 hits using the
fromandsizeparameters. To page through more hits, use thesearch_afterparameter. -
A comma-separated list of
<field>:<direction>pairs.
Body
-
Defines the aggregations that are run as part of the search request.
External documentation -
Collapses search results the values of the specified field.
Hide collapse attributes Show collapse attributes object
-
The field to collapse the result set on
inner_hits
object | array[object] The number of inner hits and their sort order
One of: Hide attributes Show attributes
-
The name for the particular inner hit definition in the response. Useful when a search request contains multiple inner hits.
-
The maximum number of hits to return per
inner_hits.Default value is
3.0. -
Inner hit starting document offset.
Default value is
0.0. -
Path to field or array of paths. Some API's support wildcards in the path to select multiple fields.
-
Default value is
false.
Hide attributes Show attributes object
-
The name for the particular inner hit definition in the response. Useful when a search request contains multiple inner hits.
-
The maximum number of hits to return per
inner_hits.Default value is
3.0. -
Inner hit starting document offset.
Default value is
0.0. -
A reference to a field with formatting instructions on how to return the value
A reference to a field with formatting instructions on how to return the value
-
Path to field or array of paths. Some API's support wildcards in the path to select multiple fields.
-
Default value is
false.
-
-
The number of concurrent requests allowed to retrieve the inner_hits per group
-
-
If
true, the request returns detailed information about score computation as part of a hit.Default value is
false. -
Configuration of search extensions defined by Elasticsearch plugins.
-
The starting document offset, which must be non-negative. By default, you cannot page through more than 10,000 hits using the
fromandsizeparameters. To page through more hits, use thesearch_afterparameter.Default value is
0.0. -
Specifies the highlighter to use for retrieving highlighted snippets from one or more fields in your search results.
External documentation Hide highlight attributes Show highlight attributes object
-
A string that contains each boundary character.
Default value is
.,!? \t\n. -
How far to scan for boundary characters.
Default value is
20.0. -
Specifies how to break the highlighted fragments: chars, sentence, or word. Only valid for the unified and fvh highlighters. Defaults to
sentencefor theunifiedhighlighter. Defaults tocharsfor thefvhhighlighter.Values are
chars,sentence, orword. -
Controls which locale is used to search for sentence and word boundaries. This parameter takes a form of a language tag, for example:
"en-US","fr-FR","ja-JP".Default value is
Locale.ROOT. -
Specifies how text should be broken up in highlight snippets:
simpleorspan. Only valid for theplainhighlighter.Values are
simpleorspan. -
The size of the highlighted fragment in characters.
Default value is
100.0. -
Highlight matches for a query other than the search query. This is especially useful if you use a rescore query because those are not taken into account by highlighting by default.
External documentation Hide highlight_query attributes Show highlight_query attributes object
-
Returns documents that contain terms similar to the search term, as measured by a Levenshtein edit distance.
External documentation -
Matches
geo_pointandgeo_shapevalues that intersect a grid cell from a GeoGrid aggregation. -
Returns documents based on the order and proximity of matching terms.
External documentation -
Returns documents that match a provided text, number, date or boolean value. The provided text is analyzed before matching.
External documentation -
Analyzes its input and constructs a
boolquery from the terms. Each term except the last is used in atermquery. The last term is used in a prefix query.External documentation -
Analyzes the text and creates a phrase query out of the analyzed text.
External documentation -
Returns documents that contain the words of a provided text, in the same order as provided. The last term of the provided text is treated as a prefix, matching any words that begin with that term.
External documentation -
Returns documents that contain a specific prefix in a provided field.
External documentation -
Returns documents that contain terms within a provided range.
External documentation -
Returns documents that contain terms matching a regular expression.
External documentation -
Matches spans containing a term.
External documentation -
Returns documents that contain an exact term in a provided field. To return a document, the query term must exactly match the queried field's value, including whitespace and capitalization.
External documentation -
Returns documents that contain a minimum number of exact terms in a provided field. To return a document, a required number of terms must exactly match the field values, including whitespace and capitalization.
External documentation -
Uses a natural language processing model to convert the query text into a list of token-weight pairs which are then used in a query against a sparse vector or rank features field.
External documentation -
Supports returning text_expansion query results by sending in precomputed tokens with the query.
External documentation -
Returns documents that contain terms matching a wildcard pattern.
External documentation
-
If set to a non-negative value, highlighting stops at this defined maximum limit. The rest of the text is not processed, thus not highlighted and no error is returned The
max_analyzed_offsetquery setting does not override theindex.highlight.max_analyzed_offsetsetting, which prevails when it’s set to lower value than the query setting. -
The amount of text you want to return from the beginning of the field if there are no matching fragments to highlight.
Default value is
0.0. -
The maximum number of fragments to return. If the number of fragments is set to
0, no fragments are returned. Instead, the entire field contents are highlighted and returned. This can be handy when you need to highlight short texts such as a title or address, but fragmentation is not required. Ifnumber_of_fragmentsis0,fragment_sizeis ignored.Default value is
5.0. -
Sorts highlighted fragments by score when set to
score. By default, fragments will be output in the order they appear in the field (order:none). Setting this option toscorewill output the most relevant fragments first. Each highlighter applies its own logic to compute relevancy scores.Value is
score. -
Controls the number of matching phrases in a document that are considered. Prevents the
fvhhighlighter from analyzing too many phrases and consuming too much memory. When usingmatched_fields,phrase_limitphrases per matched field are considered. Raising the limit increases query time and consumes more memory. Only supported by thefvhhighlighter.Default value is
256.0. -
Use in conjunction with
pre_tagsto define the HTML tags to use for the highlighted text. By default, highlighted text is wrapped in<em>and</em>tags. -
Use in conjunction with
post_tagsto define the HTML tags to use for the highlighted text. By default, highlighted text is wrapped in<em>and</em>tags. -
By default, only fields that contains a query match are highlighted. Set to
falseto highlight all fields.Default value is
true. -
Set to
styledto use the built-in tag schema.Value is
styled. -
Values are
defaultorhtml.
-
Number of hits matching the query to count accurately. If
true, the exact number of hits is returned at the cost of some performance. Iffalse, the response does not include the total number of hits matching the query. -
Boost the
_scoreof documents from specified indices. The boost value is the factor by which scores are multiplied. A boost value greater than1.0increases the score. A boost value between0and1.0decreases the score.External documentation -
An array of wildcard (
*) field patterns. The request returns doc values for field names matching these patterns in thehits.fieldsproperty of the response.External documentation Hide docvalue_fields attributes Show docvalue_fields attributes object
knn
object | array[object] Generally available; Added in 8.4.0 The approximate kNN search to run.
External documentation One of: Hide attributes Show attributes
-
The name of the vector field to search against
-
The query vector
-
The query vector builder. You must provide a query_vector_builder or query_vector, but not both.
Hide query_vector_builder attribute Show query_vector_builder attribute object
-
The final number of nearest neighbors to return as top hits
-
The number of nearest neighbor candidates to consider per shard
-
The percentage of vectors to explore per shard while doing knn search with bbq_disk
-
Boost value to apply to kNN scores
filter
object | array[object] Filters for the kNN search query
One of: An Elasticsearch Query DSL (Domain Specific Language) object that defines a query.
External documentation Hide attributes Show attributes
-
Returns documents that contain terms similar to the search term, as measured by a Levenshtein edit distance.
External documentation -
Matches
geo_pointandgeo_shapevalues that intersect a grid cell from a GeoGrid aggregation. -
Returns documents based on the order and proximity of matching terms.
External documentation -
Returns documents that match a provided text, number, date or boolean value. The provided text is analyzed before matching.
External documentation -
Analyzes its input and constructs a
boolquery from the terms. Each term except the last is used in atermquery. The last term is used in a prefix query.External documentation -
Analyzes the text and creates a phrase query out of the analyzed text.
External documentation -
Returns documents that contain the words of a provided text, in the same order as provided. The last term of the provided text is treated as a prefix, matching any words that begin with that term.
External documentation -
Returns documents that contain a specific prefix in a provided field.
External documentation -
Returns documents that contain terms within a provided range.
External documentation -
Returns documents that contain terms matching a regular expression.
External documentation -
Matches spans containing a term.
External documentation -
Returns documents that contain an exact term in a provided field. To return a document, the query term must exactly match the queried field's value, including whitespace and capitalization.
External documentation -
Returns documents that contain a minimum number of exact terms in a provided field. To return a document, a required number of terms must exactly match the field values, including whitespace and capitalization.
External documentation -
Uses a natural language processing model to convert the query text into a list of token-weight pairs which are then used in a query against a sparse vector or rank features field.
External documentation -
Supports returning text_expansion query results by sending in precomputed tokens with the query.
External documentation -
Returns documents that contain terms matching a wildcard pattern.
External documentation
Hide attributes Show attributes object
An Elasticsearch Query DSL (Domain Specific Language) object that defines a query.
External documentation -
Returns documents that contain terms similar to the search term, as measured by a Levenshtein edit distance.
External documentation -
Matches
geo_pointandgeo_shapevalues that intersect a grid cell from a GeoGrid aggregation. -
Returns documents based on the order and proximity of matching terms.
External documentation -
Returns documents that match a provided text, number, date or boolean value. The provided text is analyzed before matching.
External documentation -
Analyzes its input and constructs a
boolquery from the terms. Each term except the last is used in atermquery. The last term is used in a prefix query.External documentation -
Analyzes the text and creates a phrase query out of the analyzed text.
External documentation -
Returns documents that contain the words of a provided text, in the same order as provided. The last term of the provided text is treated as a prefix, matching any words that begin with that term.
External documentation -
Returns documents that contain a specific prefix in a provided field.
External documentation -
Returns documents that contain terms within a provided range.
External documentation -
Returns documents that contain terms matching a regular expression.
External documentation -
Matches spans containing a term.
External documentation -
Returns documents that contain an exact term in a provided field. To return a document, the query term must exactly match the queried field's value, including whitespace and capitalization.
External documentation -
Returns documents that contain a minimum number of exact terms in a provided field. To return a document, a required number of terms must exactly match the field values, including whitespace and capitalization.
External documentation -
Uses a natural language processing model to convert the query text into a list of token-weight pairs which are then used in a query against a sparse vector or rank features field.
External documentation -
Supports returning text_expansion query results by sending in precomputed tokens with the query.
External documentation -
Returns documents that contain terms matching a wildcard pattern.
External documentation
-
The minimum similarity for a vector to be considered a match
-
If defined, each search hit will contain inner hits.
External documentation Hide inner_hits attributes Show inner_hits attributes object
-
The name for the particular inner hit definition in the response. Useful when a search request contains multiple inner hits.
-
The maximum number of hits to return per
inner_hits.Default value is
3.0. -
Inner hit starting document offset.
Default value is
0.0. -
Path to field or array of paths. Some API's support wildcards in the path to select multiple fields.
-
Default value is
false.
-
-
Apply oversampling and rescoring to quantized vectors
Hide attributes Show attributes object
-
The name of the vector field to search against
-
The query vector
-
The query vector builder. You must provide a query_vector_builder or query_vector, but not both.
-
The final number of nearest neighbors to return as top hits
-
The number of nearest neighbor candidates to consider per shard
-
The percentage of vectors to explore per shard while doing knn search with bbq_disk
-
Boost value to apply to kNN scores
filter
object | array[object] Filters for the kNN search query
One of: An Elasticsearch Query DSL (Domain Specific Language) object that defines a query.
External documentation Hide attributes Show attributes
-
Returns documents that contain terms similar to the search term, as measured by a Levenshtein edit distance.
External documentation -
Matches
geo_pointandgeo_shapevalues that intersect a grid cell from a GeoGrid aggregation. -
Returns documents based on the order and proximity of matching terms.
External documentation -
Returns documents that match a provided text, number, date or boolean value. The provided text is analyzed before matching.
External documentation -
Analyzes its input and constructs a
boolquery from the terms. Each term except the last is used in atermquery. The last term is used in a prefix query.External documentation -
Analyzes the text and creates a phrase query out of the analyzed text.
External documentation -
Returns documents that contain the words of a provided text, in the same order as provided. The last term of the provided text is treated as a prefix, matching any words that begin with that term.
External documentation -
Returns documents that contain a specific prefix in a provided field.
External documentation -
Returns documents that contain terms within a provided range.
External documentation -
Returns documents that contain terms matching a regular expression.
External documentation -
Matches spans containing a term.
External documentation -
Returns documents that contain an exact term in a provided field. To return a document, the query term must exactly match the queried field's value, including whitespace and capitalization.
External documentation -
Returns documents that contain a minimum number of exact terms in a provided field. To return a document, a required number of terms must exactly match the field values, including whitespace and capitalization.
External documentation -
Uses a natural language processing model to convert the query text into a list of token-weight pairs which are then used in a query against a sparse vector or rank features field.
External documentation -
Supports returning text_expansion query results by sending in precomputed tokens with the query.
External documentation -
Returns documents that contain terms matching a wildcard pattern.
External documentation
Hide attributes Show attributes object
An Elasticsearch Query DSL (Domain Specific Language) object that defines a query.
External documentation -
Returns documents that contain terms similar to the search term, as measured by a Levenshtein edit distance.
-
Matches
geo_pointandgeo_shapevalues that intersect a grid cell from a GeoGrid aggregation. -
Returns documents based on the order and proximity of matching terms.
-
Returns documents that match a provided text, number, date or boolean value. The provided text is analyzed before matching.
-
Analyzes its input and constructs a
boolquery from the terms. Each term except the last is used in atermquery. The last term is used in a prefix query. -
Analyzes the text and creates a phrase query out of the analyzed text.
-
Returns documents that contain the words of a provided text, in the same order as provided. The last term of the provided text is treated as a prefix, matching any words that begin with that term.
-
Returns documents that contain a specific prefix in a provided field.
-
Returns documents that contain terms within a provided range.
-
Returns documents that contain terms matching a regular expression.
-
Matches spans containing a term.
-
Returns documents that contain an exact term in a provided field. To return a document, the query term must exactly match the queried field's value, including whitespace and capitalization.
-
Returns documents that contain a minimum number of exact terms in a provided field. To return a document, a required number of terms must exactly match the field values, including whitespace and capitalization.
-
Uses a natural language processing model to convert the query text into a list of token-weight pairs which are then used in a query against a sparse vector or rank features field.
-
Supports returning text_expansion query results by sending in precomputed tokens with the query.
-
Returns documents that contain terms matching a wildcard pattern.
-
The minimum similarity for a vector to be considered a match
-
If defined, each search hit will contain inner hits.
External documentation Hide inner_hits attributes Show inner_hits attributes object
-
The name for the particular inner hit definition in the response. Useful when a search request contains multiple inner hits.
-
The maximum number of hits to return per
inner_hits.Default value is
3.0. -
Inner hit starting document offset.
Default value is
0.0. -
A reference to a field with formatting instructions on how to return the value
A reference to a field with formatting instructions on how to return the value
-
Path to field or array of paths. Some API's support wildcards in the path to select multiple fields.
-
Default value is
false.
-
-
Apply oversampling and rescoring to quantized vectors
-
-
The Reciprocal Rank Fusion (RRF) to use.
Hide rank attribute Show rank attribute object
-
The reciprocal rank fusion parameters
External documentation
-
-
The minimum
_scorefor matching documents. Documents with a lower_scoreare not included in search results and results collected by aggregations. -
Use the
post_filterparameter to filter search results. The search hits are filtered after the aggregations are calculated. A post filter has no impact on the aggregation results.External documentation Hide post_filter attributes Show post_filter attributes object
-
matches documents matching boolean combinations of other queries.
External documentation Hide bool attributes Show bool attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0.
-
-
Returns documents matching a
positivequery while reducing the relevance score of documents that also match anegativequery.External documentation Hide boosting attributes Show boosting attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Floating point number between 0 and 1.0 used to decrease the relevance scores of documents matching the
negativequery. -
Query used to decrease the relevance score of matching documents.
-
Any returned documents must match this query.
-
-
The
combined_fieldsquery supports searching multiple text fields as if their contents had been indexed into one combined field.External documentation Hide combined_fields attributes Show combined_fields attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
List of fields to search. Field wildcard patterns are allowed. Only
textfields are supported, and they must all have the same searchanalyzer. -
Text to search for in the provided
fields. Thecombined_fieldsquery analyzes the provided text before performing a search. -
If true, match phrase queries are automatically created for multi-term synonyms.
Default value is
true. -
Boolean logic used to interpret text in the query value.
Values are
ororand. -
Indicates whether no documents are returned if the analyzer removes all tokens, such as when using a
stopfilter.Values are
noneorall.
-
-
Wraps a filter query and returns every matching document with a relevance score equal to the
boostparameter value.External documentation Hide constant_score attributes Show constant_score attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Filter query you wish to run. Any returned documents must match this query. Filter queries do not calculate relevance scores. To speed up performance, Elasticsearch automatically caches frequently used filter queries.
-
-
Returns documents matching one or more wrapped queries, called query clauses or clauses. If a returned document matches multiple query clauses, the
dis_maxquery assigns the document the highest relevance score from any matching clause, plus a tie breaking increment for any additional matching subqueries.External documentation Hide dis_max attributes Show dis_max attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
One or more query clauses. Returned documents must match one or more of these queries. If a document matches multiple queries, Elasticsearch uses the highest relevance score.
An Elasticsearch Query DSL (Domain Specific Language) object that defines a query.
An Elasticsearch Query DSL (Domain Specific Language) object that defines a query.
-
Floating point number between 0 and 1.0 used to increase the relevance scores of documents matching multiple query clauses.
Default value is
0.0.
-
distance_feature
object Required Boosts the relevance score of documents closer to a provided origin date or point. For example, you can use this query to give more weight to documents closer to a certain date or location.
External documentation -
Returns documents that contain an indexed value for a field.
External documentation Hide exists attributes Show exists attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Name of the field you wish to search.
-
-
The
function_scoreenables you to modify the score of documents that are retrieved by a query.External documentation Hide function_score attributes Show function_score attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Defines how he newly computed score is combined with the score of the query
Values are
multiply,replace,sum,avg,max, ormin. -
One or more functions that compute a new score for each document returned by the query.
-
Restricts the new score to not exceed the provided limit.
-
Excludes documents that do not meet the provided score threshold.
-
A query that determines the documents for which a new score is computed.
-
Specifies how the computed scores are combined
Values are
multiply,sum,avg,first,max, ormin.
-
-
Returns documents that contain terms similar to the search term, as measured by a Levenshtein edit distance.
External documentation -
Matches geo_point and geo_shape values that intersect a bounding box.
External documentation Hide geo_bounding_box attributes Show geo_bounding_box attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Values are
memoryorindexed. -
Set to
IGNORE_MALFORMEDto accept geo points with invalid latitude or longitude. Set toCOERCEto also try to infer correct latitude or longitude.Values are
coerce,ignore_malformed, orstrict. -
Set to
trueto ignore an unmapped field and not match any documents for this query. Set tofalseto throw an exception if the field is not mapped.Default value is
false.
-
-
Matches
geo_pointandgeo_shapevalues within a given distance of a geopoint.External documentation Hide geo_distance attributes Show geo_distance attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
The radius of the circle centred on the specified location. Points which fall into this circle are considered to be matches.
-
How to compute the distance. Set to
planefor a faster calculation that's inaccurate on long distances and close to the poles.Values are
arcorplane. -
Set to
IGNORE_MALFORMEDto accept geo points with invalid latitude or longitude. Set toCOERCEto also try to infer correct latitude or longitude.Values are
coerce,ignore_malformed, orstrict. -
Set to
trueto ignore an unmapped field and not match any documents for this query. Set tofalseto throw an exception if the field is not mapped.Default value is
false.
-
-
Matches
geo_pointandgeo_shapevalues that intersect a grid cell from a GeoGrid aggregation. -
Hide geo_polygon attributes Show geo_polygon attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Values are
coerce,ignore_malformed, orstrict.
-
-
Filter documents indexed using either the
geo_shapeor thegeo_pointtype.External documentation Hide geo_shape attributes Show geo_shape attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Set to
trueto ignore an unmapped field and not match any documents for this query. Set tofalseto throw an exception if the field is not mapped.Default value is
false.
-
-
Returns parent documents whose joined child documents match a provided query.
External documentation Hide has_child attributes Show has_child attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Indicates whether to ignore an unmapped
typeand not return any documents instead of an error.Default value is
false. -
If defined, each search hit will contain inner hits.
-
Maximum number of child documents that match the query allowed for a returned parent document. If the parent document exceeds this limit, it is excluded from the search results.
-
Minimum number of child documents that match the query required to match the query for a returned parent document. If the parent document does not meet this limit, it is excluded from the search results.
-
Query you wish to run on child documents of the
typefield. If a child document matches the search, the query returns the parent document. -
Indicates how scores for matching child documents affect the root parent document’s relevance score.
Values are
none,avg,sum,max, ormin. -
Name of the child relationship mapped for the
joinfield.
-
-
Returns child documents whose joined parent document matches a provided query.
External documentation Hide has_parent attributes Show has_parent attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Indicates whether to ignore an unmapped
parent_typeand not return any documents instead of an error. You can use this parameter to query multiple indices that may not contain theparent_type.Default value is
false. -
If defined, each search hit will contain inner hits.
-
Name of the parent relationship mapped for the
joinfield. -
Query you wish to run on parent documents of the
parent_typefield. If a parent document matches the search, the query returns its child documents. -
Indicates whether the relevance score of a matching parent document is aggregated into its child documents.
Default value is
false.
-
-
Returns documents based on their IDs. This query uses document IDs stored in the
_idfield.External documentation Hide ids attributes Show ids attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0.
-
-
Returns documents based on the order and proximity of matching terms.
External documentation -
Finds the k nearest vectors to a query vector, as measured by a similarity metric. knn query finds nearest vectors through approximate search on indexed dense_vectors.
External documentation Hide knn attributes Show knn attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
The name of the vector field to search against
-
The query vector
-
The query vector builder. You must provide a query_vector_builder or query_vector, but not both.
-
The number of nearest neighbor candidates to consider per shard
-
The percentage of vectors to explore per shard while doing knn search with bbq_disk
-
The final number of nearest neighbors to return as top hits
-
The minimum similarity for a vector to be considered a match
-
Apply oversampling and rescoring to quantized vectors
-
-
Returns documents that match a provided text, number, date or boolean value. The provided text is analyzed before matching.
External documentation -
Matches all documents, giving them all a
_scoreof 1.0.External documentation Hide match_all attributes Show match_all attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0.
-
-
Analyzes its input and constructs a
boolquery from the terms. Each term except the last is used in atermquery. The last term is used in a prefix query.External documentation -
Matches no documents.
External documentation Hide match_none attributes Show match_none attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0.
-
-
Analyzes the text and creates a phrase query out of the analyzed text.
External documentation -
Returns documents that contain the words of a provided text, in the same order as provided. The last term of the provided text is treated as a prefix, matching any words that begin with that term.
External documentation -
Returns documents that are "like" a given set of documents.
External documentation Hide more_like_this attributes Show more_like_this attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
The analyzer that is used to analyze the free form text. Defaults to the analyzer associated with the first field in fields.
External documentation -
Each term in the formed query could be further boosted by their tf-idf score. This sets the boost factor to use when using this feature. Defaults to deactivated (0).
Default value is
0.0. -
Controls whether the query should fail (throw an exception) if any of the specified fields are not of the supported types (
textorkeyword).Default value is
true. -
A list of fields to fetch and analyze the text from. Defaults to the
index.query.default_fieldindex setting, which has a default value of*. -
Specifies whether the input documents should also be included in the search results returned.
Default value is
false. -
The maximum document frequency above which the terms are ignored from the input document.
-
The maximum number of query terms that can be selected.
Default value is
25.0. -
The maximum word length above which the terms are ignored. Defaults to unbounded (
0).Default value is
0.0. -
The minimum document frequency below which the terms are ignored from the input document.
Default value is
5.0. -
The minimum term frequency below which the terms are ignored from the input document.
Default value is
2.0. -
The minimum word length below which the terms are ignored.
Default value is
0.0. -
Values are
internal,external, orexternal_gte.
-
-
Enables you to search for a provided text, number, date or boolean value across multiple fields. The provided text is analyzed before matching.
External documentation Hide multi_match attributes Show multi_match attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Analyzer used to convert the text in the query value into tokens.
-
If
true, match phrase queries are automatically created for multi-term synonyms.Default value is
true. -
The fields to be queried. Defaults to the
index.query.default_fieldindex settings, which in turn defaults to*. -
Method used to rewrite the query.
-
If
true, edits for fuzzy matching include transpositions of two adjacent characters (for example,abtoba). Can be applied to the term subqueries constructed for all terms but the final term.Default value is
true. -
If
true, format-based errors, such as providing a text query value for a numeric field, are ignored.Default value is
false. -
Maximum number of terms to which the query will expand.
Default value is
50.0. -
Boolean logic used to interpret text in the query value.
Values are
and,AND,or, orOR. -
Number of beginning characters left unchanged for fuzzy matching.
Default value is
0.0. -
Text, number, boolean value or date you wish to find in the provided field.
-
Maximum number of positions allowed between matching tokens.
Default value is
0.0. -
Determines how scores for each per-term blended query and scores across groups are combined.
Default value is
0.0. -
How
themulti_match query is executed internally.Values are
best_fields,most_fields,cross_fields,phrase,phrase_prefix, orbool_prefix. -
Indicates whether no documents are returned if the
analyzerremoves all tokens, such as when using astopfilter.Values are
allornone.
-
-
Wraps another query to search nested fields. If an object matches the search, the nested query returns the root parent document.
External documentation Hide nested attributes Show nested attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Indicates whether to ignore an unmapped path and not return any documents instead of an error.
Default value is
false. -
If defined, each search hit will contain inner hits.
-
Path to the nested object you wish to search.
-
Query you wish to run on nested objects in the path.
-
How scores for matching child objects affect the root parent document’s relevance score.
Values are
none,avg,sum,max, ormin.
-
-
Returns child documents joined to a specific parent document.
External documentation Hide parent_id attributes Show parent_id attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
ID of the parent document.
-
Indicates whether to ignore an unmapped
typeand not return any documents instead of an error.Default value is
false. -
Name of the child relationship mapped for the
joinfield.
-
-
Matches queries stored in an index.
External documentation Hide percolate attributes Show percolate attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
The source of the document being percolated.
-
An array of sources of the documents being percolated.
-
Field that holds the indexed queries. The field must use the
percolatormapping type. -
The ID of a stored document to percolate.
-
The index of a stored document to percolate.
-
The suffix used for the
_percolator_document_slotfield when multiplepercolatequeries are specified. -
Preference used to fetch document to percolate.
-
Routing used to fetch document to percolate.
-
The expected version of a stored document to percolate.
-
-
Promotes selected documents to rank higher than those matching a given query.
External documentation Hide pinned attributes Show pinned attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Document IDs listed in the order they are to appear in results. Required if
docsis not specified. -
Documents listed in the order they are to appear in results. Required if
idsis not specified.
-
-
Returns documents that contain a specific prefix in a provided field.
External documentation -
Returns documents based on a provided query string, using a parser with a strict syntax.
External documentation Hide query_string attributes Show query_string attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
If
true, the wildcard characters*and?are allowed as the first character of the query string.Default value is
true. -
Analyzer used to convert text in the query string into tokens.
-
If
true, the query attempts to analyze wildcard terms in the query string.Default value is
false. -
If
true, match phrase queries are automatically created for multi-term synonyms.Default value is
true. -
Default field to search if no field is provided in the query string. Supports wildcards (
*). Defaults to theindex.query.default_fieldindex setting, which has a default value of*. -
Default boolean logic used to interpret text in the query string if no operators are specified.
Values are
and,AND,or, orOR. -
If
true, enable position increments in queries constructed from aquery_stringsearch.Default value is
true. -
Default value is
false. -
Array of fields to search. Supports wildcards (
*). -
Maximum number of terms to which the query expands for fuzzy matching.
Default value is
50.0. -
Number of beginning characters left unchanged for fuzzy matching.
Default value is
0.0. -
Method used to rewrite the query.
-
If
true, edits for fuzzy matching include transpositions of two adjacent characters (for example,abtoba).Default value is
true. -
If
true, format-based errors, such as providing a text value for a numeric field, are ignored.Default value is
false. -
Maximum number of automaton states required for the query.
Default value is
10000.0. -
Maximum number of positions allowed between matching tokens for phrases.
Default value is
0.0. -
Query string you wish to parse and use for search.
-
Analyzer used to convert quoted text in the query string into tokens. For quoted text, this parameter overrides the analyzer specified in the
analyzerparameter. -
Suffix appended to quoted text in the query string. You can use this suffix to use a different analysis method for exact matches.
-
Method used to rewrite the query.
-
How to combine the queries generated from the individual search terms in the resulting
dis_maxquery. -
Coordinated Universal Time (UTC) offset or IANA time zone used to convert date values in the query string to UTC.
-
Determines how the query matches and scores documents.
Values are
best_fields,most_fields,cross_fields,phrase,phrase_prefix, orbool_prefix.
-
-
Returns documents that contain terms within a provided range.
External documentation -
Boosts the relevance score of documents based on the numeric value of a
rank_featureorrank_featuresfield.External documentation Hide rank_feature attributes Show rank_feature attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
rank_featureorrank_featuresfield used to boost relevance scores.
-
-
Returns documents that contain terms matching a regular expression.
External documentation -
Hide rule attributes Show rule attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
An Elasticsearch Query DSL (Domain Specific Language) object that defines a query.
-
-
Filters documents based on a provided script. The script query is typically used in a filter context.
External documentation Hide script attributes Show script attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Contains a script to run as a query. This script must return a boolean value,
trueorfalse.
-
-
Uses a script to provide a custom score for returned documents.
External documentation Hide script_score attributes Show script_score attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Documents with a score lower than this floating point number are excluded from the search results.
-
Query used to return documents.
-
Script used to compute the score of documents returned by the query. Important: final relevance scores from the
script_scorequery cannot be negative.
-
-
A semantic query to semantic_text field types
Hide semantic attributes Show semantic attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
The field to query, which must be a semantic_text field type
-
The query text
-
-
Queries documents that contain fields indexed using the
shapetype.External documentation Hide shape attributes Show shape attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
When set to
truethe query ignores an unmapped field and will not match any documents.
-
-
Returns documents based on a provided query string, using a parser with a limited but fault-tolerant syntax.
External documentation Hide simple_query_string attributes Show simple_query_string attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Analyzer used to convert text in the query string into tokens.
-
If
true, the query attempts to analyze wildcard terms in the query string.Default value is
false. -
If
true, the parser creates a match_phrase query for each multi-position token.Default value is
true. -
Default boolean logic used to interpret text in the query string if no operators are specified.
Values are
and,AND,or, orOR. -
Array of fields you wish to search. Accepts wildcard expressions. You also can boost relevance scores for matches to particular fields using a caret (
^) notation. Defaults to theindex.query.default_field indexsetting, which has a default value of*. -
Maximum number of terms to which the query expands for fuzzy matching.
Default value is
50.0. -
Number of beginning characters left unchanged for fuzzy matching.
Default value is
0.0. -
If
true, edits for fuzzy matching include transpositions of two adjacent characters (for example,abtoba). -
If
true, format-based errors, such as providing a text value for a numeric field, are ignored.Default value is
false. -
Query string in the simple query string syntax you wish to parse and use for search.
-
Suffix appended to quoted text in the query string.
-
-
Returns matches which enclose another span query.
External documentation Hide span_containing attributes Show span_containing attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Can be any span query. Matching spans from
bigthat contain matches fromlittleare returned. -
Can be any span query. Matching spans from
bigthat contain matches fromlittleare returned.
-
-
Wrapper to allow span queries to participate in composite single-field span queries by lying about their search field.
External documentation Hide span_field_masking attributes Show span_field_masking attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Path to field or array of paths. Some API's support wildcards in the path to select multiple fields.
-
-
Matches spans near the beginning of a field.
External documentation Hide span_first attributes Show span_first attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Controls the maximum end position permitted in a match.
-
Can be any other span type query.
-
-
Allows you to wrap a multi term query (one of
wildcard,fuzzy,prefix,range, orregexpquery) as aspanquery, so it can be nested.External documentation Hide span_multi attributes Show span_multi attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Should be a multi term query (one of
wildcard,fuzzy,prefix,range, orregexpquery).
-
-
Matches spans which are near one another. You can specify
slop, the maximum number of intervening unmatched positions, as well as whether matches are required to be in-order.External documentation Hide span_near attributes Show span_near attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Array of one or more other span type queries.
-
Controls whether matches are required to be in-order.
-
Controls the maximum number of intervening unmatched positions permitted.
-
-
Removes matches which overlap with another span query or which are within x tokens before (controlled by the parameter
pre) or y tokens after (controlled by the parameterpost) another span query.External documentation Hide span_not attributes Show span_not attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
The number of tokens from within the include span that can’t have overlap with the exclude span. Equivalent to setting both
preandpost. -
Span query whose matches must not overlap those returned.
-
Span query whose matches are filtered.
-
The number of tokens after the include span that can’t have overlap with the exclude span.
Default value is
0.0. -
The number of tokens before the include span that can’t have overlap with the exclude span.
Default value is
0.0.
-
-
Matches the union of its span clauses.
External documentation Hide span_or attributes Show span_or attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Array of one or more other span type queries.
-
-
Matches spans containing a term.
External documentation -
Returns matches which are enclosed inside another span query.
External documentation Hide span_within attributes Show span_within attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Can be any span query. Matching spans from
littlethat are enclosed withinbigare returned. -
Can be any span query. Matching spans from
littlethat are enclosed withinbigare returned.
-
-
Using input query vectors or a natural language processing model to convert a query into a list of token-weight pairs, queries against a sparse vector field.
External documentation Hide sparse_vector attributes Show sparse_vector attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
The query text you want to use for search. If inference_id is specified, query must also be specified.
-
Whether to perform pruning, omitting the non-significant tokens from the query to improve query performance. If prune is true but the pruning_config is not specified, pruning will occur but default values will be used. Default: false
-
Dictionary of precomputed sparse vectors and their associated weights. Only one of inference_id or query_vector may be supplied in a request.
-
-
Returns documents that contain an exact term in a provided field. To return a document, the query term must exactly match the queried field's value, including whitespace and capitalization.
External documentation -
Returns documents that contain one or more exact terms in a provided field. To return a document, one or more terms must exactly match a field value, including whitespace and capitalization.
External documentation Hide terms attributes Show terms attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0.
-
-
Returns documents that contain a minimum number of exact terms in a provided field. To return a document, a required number of terms must exactly match the field values, including whitespace and capitalization.
External documentation -
Uses a natural language processing model to convert the query text into a list of token-weight pairs which are then used in a query against a sparse vector or rank features field.
External documentation -
Supports returning text_expansion query results by sending in precomputed tokens with the query.
External documentation -
Returns documents that contain terms matching a wildcard pattern.
External documentation -
A query that accepts any other query as base64 encoded string.
External documentation Hide wrapper attributes Show wrapper attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
A base64 encoded query. The binary data format can be any of JSON, YAML, CBOR or SMILE encodings
-
-
Hide type attributes Show type attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0.
-
-
-
Set to
trueto return detailed timing information about the execution of individual components in a search request. NOTE: This is a debugging tool and adds significant overhead to search execution.Default value is
false.External documentation -
The search definition using the Query DSL.
External documentation Hide query attributes Show query attributes object
-
matches documents matching boolean combinations of other queries.
External documentation Hide bool attributes Show bool attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0.
-
-
Returns documents matching a
positivequery while reducing the relevance score of documents that also match anegativequery.External documentation Hide boosting attributes Show boosting attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Floating point number between 0 and 1.0 used to decrease the relevance scores of documents matching the
negativequery. -
Query used to decrease the relevance score of matching documents.
-
Any returned documents must match this query.
-
-
The
combined_fieldsquery supports searching multiple text fields as if their contents had been indexed into one combined field.External documentation Hide combined_fields attributes Show combined_fields attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
List of fields to search. Field wildcard patterns are allowed. Only
textfields are supported, and they must all have the same searchanalyzer. -
Text to search for in the provided
fields. Thecombined_fieldsquery analyzes the provided text before performing a search. -
If true, match phrase queries are automatically created for multi-term synonyms.
Default value is
true. -
Boolean logic used to interpret text in the query value.
Values are
ororand. -
Indicates whether no documents are returned if the analyzer removes all tokens, such as when using a
stopfilter.Values are
noneorall.
-
-
Wraps a filter query and returns every matching document with a relevance score equal to the
boostparameter value.External documentation Hide constant_score attributes Show constant_score attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Filter query you wish to run. Any returned documents must match this query. Filter queries do not calculate relevance scores. To speed up performance, Elasticsearch automatically caches frequently used filter queries.
-
-
Returns documents matching one or more wrapped queries, called query clauses or clauses. If a returned document matches multiple query clauses, the
dis_maxquery assigns the document the highest relevance score from any matching clause, plus a tie breaking increment for any additional matching subqueries.External documentation Hide dis_max attributes Show dis_max attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
One or more query clauses. Returned documents must match one or more of these queries. If a document matches multiple queries, Elasticsearch uses the highest relevance score.
An Elasticsearch Query DSL (Domain Specific Language) object that defines a query.
An Elasticsearch Query DSL (Domain Specific Language) object that defines a query.
-
Floating point number between 0 and 1.0 used to increase the relevance scores of documents matching multiple query clauses.
Default value is
0.0.
-
distance_feature
object Required Boosts the relevance score of documents closer to a provided origin date or point. For example, you can use this query to give more weight to documents closer to a certain date or location.
External documentation -
Returns documents that contain an indexed value for a field.
External documentation Hide exists attributes Show exists attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Name of the field you wish to search.
-
-
The
function_scoreenables you to modify the score of documents that are retrieved by a query.External documentation Hide function_score attributes Show function_score attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Defines how he newly computed score is combined with the score of the query
Values are
multiply,replace,sum,avg,max, ormin. -
One or more functions that compute a new score for each document returned by the query.
-
Restricts the new score to not exceed the provided limit.
-
Excludes documents that do not meet the provided score threshold.
-
A query that determines the documents for which a new score is computed.
-
Specifies how the computed scores are combined
Values are
multiply,sum,avg,first,max, ormin.
-
-
Returns documents that contain terms similar to the search term, as measured by a Levenshtein edit distance.
External documentation -
Matches geo_point and geo_shape values that intersect a bounding box.
External documentation Hide geo_bounding_box attributes Show geo_bounding_box attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Values are
memoryorindexed. -
Set to
IGNORE_MALFORMEDto accept geo points with invalid latitude or longitude. Set toCOERCEto also try to infer correct latitude or longitude.Values are
coerce,ignore_malformed, orstrict. -
Set to
trueto ignore an unmapped field and not match any documents for this query. Set tofalseto throw an exception if the field is not mapped.Default value is
false.
-
-
Matches
geo_pointandgeo_shapevalues within a given distance of a geopoint.External documentation Hide geo_distance attributes Show geo_distance attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
The radius of the circle centred on the specified location. Points which fall into this circle are considered to be matches.
-
How to compute the distance. Set to
planefor a faster calculation that's inaccurate on long distances and close to the poles.Values are
arcorplane. -
Set to
IGNORE_MALFORMEDto accept geo points with invalid latitude or longitude. Set toCOERCEto also try to infer correct latitude or longitude.Values are
coerce,ignore_malformed, orstrict. -
Set to
trueto ignore an unmapped field and not match any documents for this query. Set tofalseto throw an exception if the field is not mapped.Default value is
false.
-
-
Matches
geo_pointandgeo_shapevalues that intersect a grid cell from a GeoGrid aggregation. -
Hide geo_polygon attributes Show geo_polygon attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Values are
coerce,ignore_malformed, orstrict.
-
-
Filter documents indexed using either the
geo_shapeor thegeo_pointtype.External documentation Hide geo_shape attributes Show geo_shape attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Set to
trueto ignore an unmapped field and not match any documents for this query. Set tofalseto throw an exception if the field is not mapped.Default value is
false.
-
-
Returns parent documents whose joined child documents match a provided query.
External documentation Hide has_child attributes Show has_child attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Indicates whether to ignore an unmapped
typeand not return any documents instead of an error.Default value is
false. -
If defined, each search hit will contain inner hits.
-
Maximum number of child documents that match the query allowed for a returned parent document. If the parent document exceeds this limit, it is excluded from the search results.
-
Minimum number of child documents that match the query required to match the query for a returned parent document. If the parent document does not meet this limit, it is excluded from the search results.
-
Query you wish to run on child documents of the
typefield. If a child document matches the search, the query returns the parent document. -
Indicates how scores for matching child documents affect the root parent document’s relevance score.
Values are
none,avg,sum,max, ormin. -
Name of the child relationship mapped for the
joinfield.
-
-
Returns child documents whose joined parent document matches a provided query.
External documentation Hide has_parent attributes Show has_parent attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Indicates whether to ignore an unmapped
parent_typeand not return any documents instead of an error. You can use this parameter to query multiple indices that may not contain theparent_type.Default value is
false. -
If defined, each search hit will contain inner hits.
-
Name of the parent relationship mapped for the
joinfield. -
Query you wish to run on parent documents of the
parent_typefield. If a parent document matches the search, the query returns its child documents. -
Indicates whether the relevance score of a matching parent document is aggregated into its child documents.
Default value is
false.
-
-
Returns documents based on their IDs. This query uses document IDs stored in the
_idfield.External documentation Hide ids attributes Show ids attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0.
-
-
Returns documents based on the order and proximity of matching terms.
External documentation -
Finds the k nearest vectors to a query vector, as measured by a similarity metric. knn query finds nearest vectors through approximate search on indexed dense_vectors.
External documentation Hide knn attributes Show knn attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
The name of the vector field to search against
-
The query vector
-
The query vector builder. You must provide a query_vector_builder or query_vector, but not both.
-
The number of nearest neighbor candidates to consider per shard
-
The percentage of vectors to explore per shard while doing knn search with bbq_disk
-
The final number of nearest neighbors to return as top hits
-
The minimum similarity for a vector to be considered a match
-
Apply oversampling and rescoring to quantized vectors
-
-
Returns documents that match a provided text, number, date or boolean value. The provided text is analyzed before matching.
External documentation -
Matches all documents, giving them all a
_scoreof 1.0.External documentation Hide match_all attributes Show match_all attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0.
-
-
Analyzes its input and constructs a
boolquery from the terms. Each term except the last is used in atermquery. The last term is used in a prefix query.External documentation -
Matches no documents.
External documentation Hide match_none attributes Show match_none attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0.
-
-
Analyzes the text and creates a phrase query out of the analyzed text.
External documentation -
Returns documents that contain the words of a provided text, in the same order as provided. The last term of the provided text is treated as a prefix, matching any words that begin with that term.
External documentation -
Returns documents that are "like" a given set of documents.
External documentation Hide more_like_this attributes Show more_like_this attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
The analyzer that is used to analyze the free form text. Defaults to the analyzer associated with the first field in fields.
External documentation -
Each term in the formed query could be further boosted by their tf-idf score. This sets the boost factor to use when using this feature. Defaults to deactivated (0).
Default value is
0.0. -
Controls whether the query should fail (throw an exception) if any of the specified fields are not of the supported types (
textorkeyword).Default value is
true. -
A list of fields to fetch and analyze the text from. Defaults to the
index.query.default_fieldindex setting, which has a default value of*. -
Specifies whether the input documents should also be included in the search results returned.
Default value is
false. -
The maximum document frequency above which the terms are ignored from the input document.
-
The maximum number of query terms that can be selected.
Default value is
25.0. -
The maximum word length above which the terms are ignored. Defaults to unbounded (
0).Default value is
0.0. -
The minimum document frequency below which the terms are ignored from the input document.
Default value is
5.0. -
The minimum term frequency below which the terms are ignored from the input document.
Default value is
2.0. -
The minimum word length below which the terms are ignored.
Default value is
0.0. -
Values are
internal,external, orexternal_gte.
-
-
Enables you to search for a provided text, number, date or boolean value across multiple fields. The provided text is analyzed before matching.
External documentation Hide multi_match attributes Show multi_match attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Analyzer used to convert the text in the query value into tokens.
-
If
true, match phrase queries are automatically created for multi-term synonyms.Default value is
true. -
The fields to be queried. Defaults to the
index.query.default_fieldindex settings, which in turn defaults to*. -
Method used to rewrite the query.
-
If
true, edits for fuzzy matching include transpositions of two adjacent characters (for example,abtoba). Can be applied to the term subqueries constructed for all terms but the final term.Default value is
true. -
If
true, format-based errors, such as providing a text query value for a numeric field, are ignored.Default value is
false. -
Maximum number of terms to which the query will expand.
Default value is
50.0. -
Boolean logic used to interpret text in the query value.
Values are
and,AND,or, orOR. -
Number of beginning characters left unchanged for fuzzy matching.
Default value is
0.0. -
Text, number, boolean value or date you wish to find in the provided field.
-
Maximum number of positions allowed between matching tokens.
Default value is
0.0. -
Determines how scores for each per-term blended query and scores across groups are combined.
Default value is
0.0. -
How
themulti_match query is executed internally.Values are
best_fields,most_fields,cross_fields,phrase,phrase_prefix, orbool_prefix. -
Indicates whether no documents are returned if the
analyzerremoves all tokens, such as when using astopfilter.Values are
allornone.
-
-
Wraps another query to search nested fields. If an object matches the search, the nested query returns the root parent document.
External documentation Hide nested attributes Show nested attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Indicates whether to ignore an unmapped path and not return any documents instead of an error.
Default value is
false. -
If defined, each search hit will contain inner hits.
-
Path to the nested object you wish to search.
-
Query you wish to run on nested objects in the path.
-
How scores for matching child objects affect the root parent document’s relevance score.
Values are
none,avg,sum,max, ormin.
-
-
Returns child documents joined to a specific parent document.
External documentation Hide parent_id attributes Show parent_id attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
ID of the parent document.
-
Indicates whether to ignore an unmapped
typeand not return any documents instead of an error.Default value is
false. -
Name of the child relationship mapped for the
joinfield.
-
-
Matches queries stored in an index.
External documentation Hide percolate attributes Show percolate attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
The source of the document being percolated.
-
An array of sources of the documents being percolated.
-
Field that holds the indexed queries. The field must use the
percolatormapping type. -
The ID of a stored document to percolate.
-
The index of a stored document to percolate.
-
The suffix used for the
_percolator_document_slotfield when multiplepercolatequeries are specified. -
Preference used to fetch document to percolate.
-
Routing used to fetch document to percolate.
-
The expected version of a stored document to percolate.
-
-
Promotes selected documents to rank higher than those matching a given query.
External documentation Hide pinned attributes Show pinned attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Document IDs listed in the order they are to appear in results. Required if
docsis not specified. -
Documents listed in the order they are to appear in results. Required if
idsis not specified.
-
-
Returns documents that contain a specific prefix in a provided field.
External documentation -
Returns documents based on a provided query string, using a parser with a strict syntax.
External documentation Hide query_string attributes Show query_string attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
If
true, the wildcard characters*and?are allowed as the first character of the query string.Default value is
true. -
Analyzer used to convert text in the query string into tokens.
-
If
true, the query attempts to analyze wildcard terms in the query string.Default value is
false. -
If
true, match phrase queries are automatically created for multi-term synonyms.Default value is
true. -
Default field to search if no field is provided in the query string. Supports wildcards (
*). Defaults to theindex.query.default_fieldindex setting, which has a default value of*. -
Default boolean logic used to interpret text in the query string if no operators are specified.
Values are
and,AND,or, orOR. -
If
true, enable position increments in queries constructed from aquery_stringsearch.Default value is
true. -
Default value is
false. -
Array of fields to search. Supports wildcards (
*). -
Maximum number of terms to which the query expands for fuzzy matching.
Default value is
50.0. -
Number of beginning characters left unchanged for fuzzy matching.
Default value is
0.0. -
Method used to rewrite the query.
-
If
true, edits for fuzzy matching include transpositions of two adjacent characters (for example,abtoba).Default value is
true. -
If
true, format-based errors, such as providing a text value for a numeric field, are ignored.Default value is
false. -
Maximum number of automaton states required for the query.
Default value is
10000.0. -
Maximum number of positions allowed between matching tokens for phrases.
Default value is
0.0. -
Query string you wish to parse and use for search.
-
Analyzer used to convert quoted text in the query string into tokens. For quoted text, this parameter overrides the analyzer specified in the
analyzerparameter. -
Suffix appended to quoted text in the query string. You can use this suffix to use a different analysis method for exact matches.
-
Method used to rewrite the query.
-
How to combine the queries generated from the individual search terms in the resulting
dis_maxquery. -
Coordinated Universal Time (UTC) offset or IANA time zone used to convert date values in the query string to UTC.
-
Determines how the query matches and scores documents.
Values are
best_fields,most_fields,cross_fields,phrase,phrase_prefix, orbool_prefix.
-
-
Returns documents that contain terms within a provided range.
External documentation -
Boosts the relevance score of documents based on the numeric value of a
rank_featureorrank_featuresfield.External documentation Hide rank_feature attributes Show rank_feature attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
rank_featureorrank_featuresfield used to boost relevance scores.
-
-
Returns documents that contain terms matching a regular expression.
External documentation -
Hide rule attributes Show rule attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
An Elasticsearch Query DSL (Domain Specific Language) object that defines a query.
-
-
Filters documents based on a provided script. The script query is typically used in a filter context.
External documentation Hide script attributes Show script attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Contains a script to run as a query. This script must return a boolean value,
trueorfalse.
-
-
Uses a script to provide a custom score for returned documents.
External documentation Hide script_score attributes Show script_score attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Documents with a score lower than this floating point number are excluded from the search results.
-
Query used to return documents.
-
Script used to compute the score of documents returned by the query. Important: final relevance scores from the
script_scorequery cannot be negative.
-
-
A semantic query to semantic_text field types
Hide semantic attributes Show semantic attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
The field to query, which must be a semantic_text field type
-
The query text
-
-
Queries documents that contain fields indexed using the
shapetype.External documentation Hide shape attributes Show shape attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
When set to
truethe query ignores an unmapped field and will not match any documents.
-
-
Returns documents based on a provided query string, using a parser with a limited but fault-tolerant syntax.
External documentation Hide simple_query_string attributes Show simple_query_string attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Analyzer used to convert text in the query string into tokens.
-
If
true, the query attempts to analyze wildcard terms in the query string.Default value is
false. -
If
true, the parser creates a match_phrase query for each multi-position token.Default value is
true. -
Default boolean logic used to interpret text in the query string if no operators are specified.
Values are
and,AND,or, orOR. -
Array of fields you wish to search. Accepts wildcard expressions. You also can boost relevance scores for matches to particular fields using a caret (
^) notation. Defaults to theindex.query.default_field indexsetting, which has a default value of*. -
Maximum number of terms to which the query expands for fuzzy matching.
Default value is
50.0. -
Number of beginning characters left unchanged for fuzzy matching.
Default value is
0.0. -
If
true, edits for fuzzy matching include transpositions of two adjacent characters (for example,abtoba). -
If
true, format-based errors, such as providing a text value for a numeric field, are ignored.Default value is
false. -
Query string in the simple query string syntax you wish to parse and use for search.
-
Suffix appended to quoted text in the query string.
-
-
Returns matches which enclose another span query.
External documentation Hide span_containing attributes Show span_containing attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Can be any span query. Matching spans from
bigthat contain matches fromlittleare returned. -
Can be any span query. Matching spans from
bigthat contain matches fromlittleare returned.
-
-
Wrapper to allow span queries to participate in composite single-field span queries by lying about their search field.
External documentation Hide span_field_masking attributes Show span_field_masking attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Path to field or array of paths. Some API's support wildcards in the path to select multiple fields.
-
-
Matches spans near the beginning of a field.
[...]
